/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *   David Knibb               initial implementation      
 *   Gordon Hutchison          initial implementation      
 *******************************************************************************/

package org.sst.testAspect;

import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;

/**
 * This aspect affects any object executing a setToolTipText method.
 * A stackTrace will be appended to the tooltip, 
 * which may help to show where the control was created.
 */
public aspect TestAspect {
	private int no = 0;
	
	before(): execution(void org.sst.test.actions.SampleAction.run(..)) {
		try {
			Output view = (Output) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView(Output.ID);
			view.addMsg("ExecutionNo: " + no++);
		} catch (PartInitException e) {
			e.printStackTrace();
		}
	}

}
